diff -pruN 2.35.2-5/debian/changelog 2.35.2-5ubuntu3/debian/changelog
--- 2.35.2-5/debian/changelog	2020-06-25 12:06:52.000000000 +0000
+++ 2.35.2-5ubuntu3/debian/changelog	2020-06-29 13:23:10.000000000 +0000
@@ -1,3 +1,36 @@
+util-linux (2.35.2-5ubuntu3) groovy; urgency=medium
+
+  * debian/control, debian/rules;
+    - build again without libcryptsetup, see the Debian commit for details
+      https://salsa.debian.org/debian/util-linux/-/commit/1ab05640
+
+ -- Sebastien Bacher <seb128@debian.org>  Mon, 29 Jun 2020 15:23:10 +0200
+
+util-linux (2.35.2-5ubuntu2) groovy; urgency=medium
+
+  * Add missing Depends: on libcryptsetup-dev to libmount-dev.
+
+ -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 25 Jun 2020 11:00:16 -0700
+
+util-linux (2.35.2-5ubuntu1) groovy; urgency=medium
+
+  * Merge from Debian unstable.  Remaining changes:
+    - Build hwclock with audit support.
+    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
+      kernels sync the RTC automatically.
+    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
+      fallback if the regular shell fails to execute. Patch ported from
+      sysvinit. (see LP #505887)
+    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
+      machines with locked root accounts (as Ubuntu does by default). Don't
+      require --force for sulogin.
+    - Clean up weekly fstrim cron file, now a systemd timer unit.
+    - Mark one failing test on riscv64 as xfail, while proper investigation is
+      ongoing (probably according to Debian build logs, some changes between
+      kernel 5.0 and 5.7 fixed the test).
+
+ -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jun 2020 17:10:31 +0200
+
 util-linux (2.35.2-5) unstable; urgency=medium
 
   * Build with libcryptsetup-dev to enable dm-verity (Closes: #951048)
@@ -15,6 +48,35 @@ util-linux (2.35.2-5) unstable; urgency=
 
  -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Jun 2020 12:06:52 +0000
 
+util-linux (2.35.2-4ubuntu2) groovy; urgency=medium
+
+  * Mark one failing test as xfail
+
+ -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jun 2020 15:59:28 +0200
+
+util-linux (2.35.2-4ubuntu1) groovy; urgency=low
+
+  * Merge from Debian unstable.  Remaining changes:
+    - Build hwclock with audit support.
+    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
+      kernels sync the RTC automatically.
+    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
+      fallback if the regular shell fails to execute. Patch ported from
+      sysvinit. (see LP #505887)
+    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
+      machines with locked root accounts (as Ubuntu does by default). Don't
+      require --force for sulogin.
+    - Clean up weekly fstrim cron file, now a systemd timer unit.
+  * Dropped changes, superseded by Debian:
+    - debian/patches/root-not-required-to-be-mountpoint.patch: disable
+      test that fails if / is not a mountpoint.
+   * Dropped changes, included upstream:
+    - d/p/hwclock_fix_audit_status.patch: fix audit exit status
+    - d/p/umount-completion.patch: fix completion to not require gawk be
+      present.
+
+ -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jun 2020 10:37:42 +0200
+
 util-linux (2.35.2-4) unstable; urgency=medium
 
   * d/watch: update to find -rc versions
@@ -56,6 +118,47 @@ util-linux (2.35.2-1) unstable; urgency=
 
  -- Chris Hofstaedtler <zeha@debian.org>  Wed, 20 May 2020 22:21:26 +0000
 
+util-linux (2.35.1-5ubuntu2) groovy; urgency=medium
+
+  * debian/patches/root-not-required-to-be-mountpoint.patch: disable
+    test that fails if / is not a mountpoint.
+
+ -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 May 2020 14:00:08 -0700
+
+util-linux (2.35.1-5ubuntu1) groovy; urgency=low
+
+  * Merge from Debian unstable.  Remaining changes:
+    - Build hwclock with audit support.
+    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
+      kernels sync the RTC automatically.
+    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
+      fallback if the regular shell fails to execute. Patch ported from
+      sysvinit. (see LP #505887)
+    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
+      machines with locked root accounts (as Ubuntu does by default). Don't
+      require --force for sulogin.
+    - Clean up weekly fstrim cron file, now a systemd timer unit.
+    - d/p/umount-completion.patch: fix completion to not require gawk be
+      present.
+    - d/p/hwclock_fix_audit_status.patch: fix audit exit status
+  * Dropped changes, included in Debian:
+    - Drop dependency from util-linux to fdisk.
+    - d/p/hwclock-make-glibc-2.31-compatible.patch: fix hwclock
+      for settimeofday(2) changes in glibc 2.31.
+    - Enable fstrim.timer by default.
+  * Dropped changes, superseded by Debian:
+    - Update s390-tools breaks/replaces, to the correct version for ubuntu.
+   * Dropped changes, included upstream:
+    - d/p/prevent-fstrim-inside-container.patch: Prevent fstrim to run
+      inside a container environment.
+    - d/p/libblkid-xfs-log-check-for-reg-xfs-on-more-sectors.patch:
+      fix ambivalent detection of bcache and xfs_external_log
+      due to regular xfs on bcache backing device.
+    - d/p/lsblk-force-to-print-PKNAME-for-partition.patch: fix regression
+      that lsblk doesn't print PKNAME column for partitions
+
+ -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 May 2020 11:44:13 -0700
+
 util-linux (2.35.1-5) unstable; urgency=medium
 
   * libmount-dev: depend on libselinux1-dev (Closes: #960446)
@@ -124,6 +227,86 @@ util-linux (2.35.1-1) unstable; urgency=
 
  -- Chris Hofstaedtler <zeha@debian.org>  Sun, 03 May 2020 13:45:56 +0000
 
+util-linux (2.34-0.1ubuntu9) focal; urgency=medium
+
+  * d/p/hwclock-make-glibc-2.31-compatible.patch: fix hwclock
+    for settimeofday(2) changes in glibc 2.31. (LP: #1870316)
+
+ -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 02 Apr 2020 12:29:40 -0300
+
+util-linux (2.34-0.1ubuntu8) focal; urgency=medium
+
+  * hwclock: fix audit exit status (LP: #1865504)
+
+ -- Joy Latten <joy.latten@canonical.com>  Thu, 05 Mar 2020 11:23:23 -0600
+
+util-linux (2.34-0.1ubuntu7) focal; urgency=medium
+
+  * d/p/lsblk-force-to-print-PKNAME-for-partition.patch: fix regression
+    that lsblk doesn't print PKNAME column for partitions (LP: #1862846)
+
+ -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 20 Feb 2020 11:09:29 -0300
+
+util-linux (2.34-0.1ubuntu6) focal; urgency=medium
+
+  * No-change rebuild with fixed binutils on arm64.
+
+ -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:20:58 +0000
+
+util-linux (2.34-0.1ubuntu5) focal; urgency=medium
+
+  * d/p/libblkid-xfs-log-check-for-reg-xfs-on-more-sectors.patch:
+    fix ambivalent detection of bcache and xfs_external_log
+    due to regular xfs on bcache backing device. (LP: #1858802)
+
+ -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 08 Jan 2020 16:03:19 -0300
+
+util-linux (2.34-0.1ubuntu4) focal; urgency=medium
+
+  * bash-completion/umount: fix completion to not require gawk be present.
+    Thanks to Étienne Mollier for the patch. (LP: #1845529)
+
+ -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 03 Dec 2019 15:27:13 -0500
+
+util-linux (2.34-0.1ubuntu3) focal; urgency=medium
+
+  * Drop dependency from util-linux to fdisk.  The transition to split-out
+    fdisk was done before 18.04 so the transitional dependency is no longer
+    needed, and fdisk should not be pulled into the essential package set
+    since it's not needed in container environments.  For bootable systems
+    which need fdisk, it will be pulled in directly.
+
+ -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Nov 2019 13:40:12 -0800
+
+util-linux (2.34-0.1ubuntu2) eoan; urgency=medium
+
+  * d/p/prevent-fstrim-inside-container.patch:
+    - Prevent fstrim to run inside a container environment.
+    (LP: #1589289)
+
+ -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 21 Aug 2019 13:19:03 +0000
+
+util-linux (2.34-0.1ubuntu1) eoan; urgency=low
+
+  * Merge from Debian unstable.  Remaining changes:
+    - Build hwclock with audit support.
+    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
+      RTC automatically.
+    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
+      fallback if the regular shell fails to execute. Patch ported from
+      sysvinit. (see LP #505887)
+    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
+      machines with locked root accounts (as Ubuntu does by default). Don't
+      require --force for sulogin.
+    - Clean up weekly fstrim cron file, now a systemd timer unit.
+    - Update s390-tools breaks/replaces, to the correct version for ubuntu.
+    - Enable fstrim.timer by default.
+  * Dropped changes, included upstream:
+    - debian/patches/32-bit-safe-mbr-parsing.patch: [PATCH] libfdisk:
+      (dos) Use strtoul to parse the label-id.
+
+ -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Aug 2019 23:50:01 -0700
+
 util-linux (2.34-0.1) unstable; urgency=medium
 
   * Non-maintainer upload.
@@ -135,6 +318,43 @@ util-linux (2.34-0.1) unstable; urgency=
 
  -- Chris Hofstaedtler <zeha@debian.org>  Sun, 28 Jul 2019 15:14:02 +0000
 
+util-linux (2.33.1-0.1ubuntu2) disco; urgency=medium
+
+  * debian/patches/32-bit-safe-mbr-parsing.patch: [PATCH] libfdisk:
+    (dos) Use strtoul to parse the label-id.  Thanks to Juerg Haefliger
+    <juerg.haefliger@canonical.com>.  LP: #1817302.
+
+ -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Feb 2019 21:46:00 +0100
+
+util-linux (2.33.1-0.1ubuntu1) disco; urgency=low
+
+  * Merge from Debian unstable.  Remaining changes:
+    - Build hwclock with audit support.
+    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
+      RTC automatically.
+    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
+      fallback if the regular shell fails to execute. Patch ported from
+      sysvinit. (see LP #505887)
+    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
+      machines with locked root accounts (as Ubuntu does by default). Don't
+      require --force for sulogin.
+    - Clean up weekly fstrim cron file, now a systemd timer unit.
+    - Update s390-tools breaks/replaces, to the correct version for ubuntu.
+    - Enable fstrim.timer by default.
+  * Dropped changes, included upstream:
+    - debian/patches/support_alternate_partition_sep.patch: support alternate
+      partition separators. Common cases of no separator, using "p" only, and
+      "-part" (the only previously supported), are covered now, which should
+      let fdisk show partitions in a way closer to reality on most systems.
+      Patch from Kyle Mahlkuch, with changes by Karel Zak.
+    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
+      packaging and this does not affect Ubuntu ≥ 16.04 any more.
+  * Dropped changes, obsolete:
+    - Add debian/util-linux.maintscript to clean upstart jobs on upgrade.
+    - Remove obsolete upstart job files on upgrade of rfkill.
+
+ -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Jan 2019 15:00:23 +0200
+
 util-linux (2.33.1-0.1) unstable; urgency=medium
 
   * Non-maintainer upload.
@@ -254,6 +474,45 @@ util-linux (2.32-0.2) unstable; urgency=
 
  -- Andreas Henriksson <andreas@fatal.se>  Fri, 27 Jul 2018 10:01:46 +0200
 
+util-linux (2.32-0.1ubuntu2) cosmic; urgency=medium
+
+  * debian/patches/support_alternate_partition_sep.patch: support alternate
+    partition separators. Common cases of no separator, using "p" only, and
+    "-part" (the only previously supported), are covered now, which should
+    let fdisk show partitions in a way closer to reality on most systems.
+    Patch from Kyle Mahlkuch, with changes by Karel Zak. (LP: #1784347)
+
+ -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 15 Oct 2018 16:25:03 -0400
+
+util-linux (2.32-0.1ubuntu1) cosmic; urgency=low
+
+  * Merge from Debian unstable.  Remaining changes:
+    - Build hwclock with audit support.
+    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
+      RTC automatically.
+    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
+      fallback if the regular shell fails to execute. Patch ported from
+      sysvinit. (see LP #505887)
+    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
+      machines with locked root accounts (as Ubuntu does by default). Don't
+      require --force for sulogin.
+    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
+      packaging and this does not affect Ubuntu ≥ 16.04 any more.
+    - Add debian/util-linux.maintscript to clean upstart jobs on upgrade. This
+      needs to be kept until after 18.04 LTS.
+    - Clean up weekly fstrim cron file, now a systemd timer unit.
+    - Remove obsolete upstart job files on upgrade of rfkill.  This change
+      can be dropped after Ubuntu 18.04.
+    - Update s390-tools breaks/replaces, to the correct version for ubuntu.
+    - Enable fstrim.timer by default.
+  * Dropped changes, merged upstream:
+    - Cherrypick upstream patches to add zones support to lsmem/chmem.
+    - lscpu: Decode ARM CPUs (patch taken from 2.32)
+  * Bugs fixed in new upstream release:
+    - possible crash in min/max frequency (LP: #1771345)
+
+ -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 15 May 2018 15:45:21 +0200
+
 util-linux (2.32-0.1) unstable; urgency=medium
 
   * Non-maintainer upload.
@@ -282,6 +541,49 @@ util-linux (2.31.1-0.5) unstable; urgenc
 
  -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 06 Mar 2018 22:31:39 +0100
 
+util-linux (2.31.1-0.4ubuntu4) cosmic; urgency=medium
+
+  * No-change rebuild for ncurses soname changes.
+
+ -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 13:18:49 +0000
+
+util-linux (2.31.1-0.4ubuntu3) bionic; urgency=medium
+
+  * Remove obsolete upstart job files on upgrade of rfkill.  This change
+    can be dropped after Ubuntu 18.04.
+
+ -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Mar 2018 22:47:34 +0000
+
+util-linux (2.31.1-0.4ubuntu2) bionic; urgency=medium
+
+  * Update s390-tools breaks/replaces, to the correct version for ubuntu.
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 02 Mar 2018 00:40:46 +0000
+
+util-linux (2.31.1-0.4ubuntu1) bionic; urgency=low
+
+  * Merge from Debian unstable.  Remaining changes:
+    - Build hwclock with audit support.
+    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
+      RTC automatically.
+    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
+      fallback if the regular shell fails to execute. Patch ported from
+      sysvinit. (see LP #505887)
+    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
+      machines with locked root accounts (as Ubuntu does by default). Don't
+      require --force for sulogin.
+    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
+      packaging and this does not affect Ubuntu ≥ 16.04 any more.
+    - Add debian/util-linux.maintscript to clean upstart jobs on upgrade. This
+      needs to be kept until after 18.04 LTS.
+    - Clean up weekly fstrim cron file, now a systemd timer unit.
+    - Cherrypick upstream patches to add zones support to lsmem/chmem.
+    - lscpu: Decode ARM CPUs (patch taken from 2.32)
+
+  * Enable fstrim.timer by default.
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 14 Feb 2018 22:20:35 +0000
+
 util-linux (2.31.1-0.4) unstable; urgency=medium
 
   * Non-maintainer upload.
@@ -339,6 +641,49 @@ util-linux (2.30.2-0.2) unstable; urgenc
 
  -- Philipp Kern <pkern@debian.org>  Sun, 14 Jan 2018 11:27:53 -0500
 
+util-linux (2.30.2-0.1ubuntu3) bionic; urgency=medium
+
+  * lscpu: Decode ARM CPUs (patch taken from 2.32)
+
+ -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 17 Feb 2018 13:29:23 +0100
+
+util-linux (2.30.2-0.1ubuntu2) bionic; urgency=medium
+
+  * No change rebuild to try to resolve an outdated translations issue,
+    the package was configured on launchpad to share its strings with an 
+    upstream vcs but the corresponding import is failing for some years.
+    We are trying to go back to use the source package translations
+    instead now (lp: #1730793)
+
+ -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Feb 2018 12:25:02 +0100
+
+util-linux (2.30.2-0.1ubuntu1) bionic; urgency=medium
+
+  * Merge from Debian unstable.  Remaining changes:
+    - Build hwclock with audit support.
+    - Ship lsmem/chmeme utilities.
+    - Regularly trim SSDs automatically (core-1311-ssd-trimming):
+      + Add debian/fstrim-all.cron: Call fstrim --all. Installed as
+        /etc/cron.weekly/fstrim.
+    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
+      RTC automatically.
+    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
+      fallback if the regular shell fails to execute. Patch ported from
+      sysvinit. (see LP #505887)
+    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
+      machines with locked root accounts (as Ubuntu does by default). Don't
+      require --force for sulogin.
+    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
+      packaging and this does not affect Ubuntu ≥ 16.04 any more.
+    - Add debian/util-linux.maintscript to clean upstart jobs on upgrade. This
+      needs to be kept until after 18.04 LTS.
+    - Add fallocate binary to util-linux-udeb.
+
+  * Cherrypick upstream patches to add zones support to lsmem/chmem. LP:
+    #1731937.
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 17 Nov 2017 14:20:10 +0000
+
 util-linux (2.30.2-0.1) unstable; urgency=medium
 
   * Non-maintainer upload.
@@ -372,6 +717,21 @@ util-linux (2.29.2-5) unstable; urgency=
 
  -- Andreas Henriksson <andreas@fatal.se>  Thu, 14 Sep 2017 11:05:39 +0200
 
+util-linux (2.30.1-0ubuntu5) bionic; urgency=medium
+
+  * Add --with-audit to rules file and libaudit-dev to build depenedencies.
+    The hwclock needs audit defined in order to create audit records when
+    time is changed. (LP: #1722313)
+
+ -- Joy Latten <joy.latten@canonical.com>  Tue, 07 Nov 2017 15:14:54 -0600
+
+util-linux (2.30.1-0ubuntu4) artful; urgency=medium
+
+  * Merge debian packaging changes in 2.29.2-3 and 2.29.2-4.
+  * Update version numbers in breaks/replaces.
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Aug 2017 11:15:20 +0100
+
 util-linux (2.29.2-4) unstable; urgency=medium
 
   * Bump Standards-Version to 4.0.1
@@ -391,6 +751,55 @@ util-linux (2.29.2-3) experimental; urge
 
  -- Andreas Henriksson <andreas@fatal.se>  Sun, 06 Aug 2017 14:59:02 +0200
 
+util-linux (2.30.1-0ubuntu3) artful; urgency=medium
+
+  * Cherrypick upstream patches to support getrandom() fallbacks on older
+    kernels. LP: #1708635
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Aug 2017 11:15:20 +0100
+
+util-linux (2.30.1-0ubuntu2) artful; urgency=medium
+
+  * Add Breaks/Replaces to facilitate upgrades due to util-linux taking
+    over s390-tools in shipping chmem/lsmem utilities.
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Aug 2017 16:17:09 +0100
+
+util-linux (2.30.1-0ubuntu1) artful; urgency=medium
+
+  * New upstream release.
+  * Drop Disable-the-fallback-clause-in-hwclock-when-dev-rtc-.patch, applied upstream.
+  * Drop lscpu-use-sysfs-for-tables-access-if-available.patch, cherrypick.
+  * Add bison build-dep.
+  * Ship lsmem/chmem utilities. LP: #1704795
+  * Update symbols files.
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Jul 2017 14:43:46 +0100
+
+util-linux (2.29.2-2ubuntu1) artful; urgency=medium
+
+  * Merge from Debian unstable.  Remaining changes:
+    - Regularly trim SSDs automatically (core-1311-ssd-trimming):
+      + Add debian/fstrim-all.cron: Call fstrim --all. Installed as
+        /etc/cron.weekly/fstrim.
+    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
+      RTC automatically.
+    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
+      fallback if the regular shell fails to execute. Patch ported from
+      sysvinit. (see LP #505887)
+    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
+      machines with locked root accounts (as Ubuntu does by default). Don't
+      require --force for sulogin.
+    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
+      packaging and this does not affect Ubuntu ≥ 16.04 any more.
+    - Add debian/util-linux.maintscript to clean upstart jobs on upgrade. This
+      needs to be kept until after 18.04 LTS.
+    - Add fallocate binary to util-linux-udeb.
+    - Cherrypick upstream fix to prevent lscpu crash on arm64 by
+      accessing DMI in sysfs instead of /dev/mem.
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 19 Jul 2017 12:53:00 +0100
+
 util-linux (2.29.2-2) unstable; urgency=medium
 
   "The big post-release cleanup."
@@ -437,6 +846,42 @@ util-linux (2.29.1-1) unstable; urgency=
 
  -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Jan 2017 17:33:41 +0100
 
+util-linux (2.29-1ubuntu3) artful; urgency=medium
+
+  * Cherrypick upstream fix to prevent lscpu crash on arm64 by
+    accessing DMI in sysfs instead of /dev/mem. LP: #1674258
+
+ -- Ike Panhc <ike.pan@canonical.com>  Thu, 18 May 2017 10:49:34 +0800
+
+util-linux (2.29-1ubuntu2) zesty; urgency=medium
+
+  * Add fallocate binary to util-linux-udeb.
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Nov 2016 12:24:30 +0000
+
+util-linux (2.29-1ubuntu1) zesty; urgency=medium
+
+  * Merge from Debian unstable.  Remaining changes:
+    - Regularly trim SSDs automatically (core-1311-ssd-trimming):
+      + Add debian/fstrim-all.cron: Call fstrim --all. Installed as
+        /etc/cron.weekly/fstrim.
+    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
+      RTC automatically.
+    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
+      fallback if the regular shell fails to execute. Patch ported from
+      sysvinit. (see LP #505887)
+    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
+      machines with locked root accounts (as Ubuntu does by default). Don't
+      require --force for sulogin.
+    - Drop debian/util-linux.preinst: Unconditionally deleting files
+      is wrong, and dpkg will overwrite symlinks with real files anyway.
+    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
+      packaging and this does not affect Ubuntu ≥ 16.04 any more.
+    - Add debian/util-linux.maintscript to clean upstart jobs on upgrade. This
+      needs to be kept until after 18.04 LTS.
+
+ -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 14 Nov 2016 12:53:02 +0100
+
 util-linux (2.29-1) unstable; urgency=medium
 
   * New upstream release.
@@ -458,6 +903,31 @@ util-linux (2.29~rc2-1) experimental; ur
 
  -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Oct 2016 14:35:04 +0200
 
+util-linux (2.28.2-1ubuntu1) yakkety; urgency=medium
+
+  * Merge from Debian unstable.  Remaining changes:
+    - Regularly trim SSDs automatically (core-1311-ssd-trimming):
+      + Add debian/fstrim-all.cron: Call fstrim --all. Installed as
+        /etc/cron.weekly/fstrim.
+    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
+      RTC automatically.
+    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
+      fallback if the regular shell fails to execute. Patch ported from
+      sysvinit. (see LP #505887)
+    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
+      machines with locked root accounts (as Ubuntu does by default). Don't
+      require --force for sulogin.
+    - Drop debian/util-linux.preinst: Unconditionally deleting files
+      is wrong, and dpkg will overwrite symlinks with real files anyway.
+    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
+      packaging and this does not affect Ubuntu ≥ 16.04 any more.
+    - Add debian/util-linux.maintscript to clean upstart jobs on upgrade. This
+      needs to be kept until after 18.04 LTS.
+  * The new upstream version reverts the sfdisk exit code change from 2.28.1.
+    (LP: #1619285)
+
+ -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Sep 2016 23:22:44 +0200
+
 util-linux (2.28.2-1) unstable; urgency=medium
 
   * debian/gbp.conf: set upstream-vcs-tag for import-orig
diff -pruN 2.35.2-5/debian/control 2.35.2-5ubuntu3/debian/control
--- 2.35.2-5/debian/control	2020-06-25 12:06:52.000000000 +0000
+++ 2.35.2-5ubuntu3/debian/control	2020-06-29 13:21:58.000000000 +0000
@@ -6,7 +6,6 @@ Build-Depends: bc <!stage1 !nocheck>,
                gettext,
                libaudit-dev [linux-any] <!stage1>,
                libcap-ng-dev [linux-any] <!stage1>,
-               libcryptsetup-dev [linux-any] <!stage1>,
                libncurses5-dev,
                libncursesw5-dev,
                libpam0g-dev <!stage1>,
@@ -19,10 +18,13 @@ Build-Depends: bc <!stage1 !nocheck>,
                po-debconf,
                socat <!stage1 !nocheck>,
                systemd [linux-any] <!stage1>,
-               zlib1g-dev
+               zlib1g-dev,
+               libaudit-dev
+Build-Conflicts: libcryptsetup-dev
 Section: base
 Priority: required
-Maintainer: util-linux packagers <util-linux@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: util-linux packagers <util-linux@packages.debian.org>
 Uploaders: Adam Conrad <adconrad@0c3.net>,
            Chris Hofstaedtler <zeha@debian.org>,
            LaMont Jones <lamont@debian.org>
@@ -407,7 +409,7 @@ Depends: ${misc:Depends},
 Package-Type: udeb
 Description: stripped down miscellaneous system utilities, for debian-installer
  This is a minimal version of util-linux for debian-installer. It only
- contains the blkid binary at the moment.
+ contains the blkid and fallocate binaries at the moment.
 
 Package: rfkill
 Architecture: linux-any
diff -pruN 2.35.2-5/debian/patches/mark-xfail-riscv64.patch 2.35.2-5ubuntu3/debian/patches/mark-xfail-riscv64.patch
--- 2.35.2-5/debian/patches/mark-xfail-riscv64.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.35.2-5ubuntu3/debian/patches/mark-xfail-riscv64.patch	2020-06-25 15:07:13.000000000 +0000
@@ -0,0 +1,14 @@
+Description: Mark one failing test on riscv64 as known fail, so we can at least have one build there.
+Author: Gianfranco Costamagna <locutusofborg@debian.org>
+Last-Update: 2020-06-25
+
+--- util-linux-2.35.2.orig/tests/ts/misc/setarch
++++ util-linux-2.35.2/tests/ts/misc/setarch
+@@ -42,6 +42,7 @@ ts_finalize_subtest
+ 
+ 
+ ts_init_subtest uname26
++TS_KNOWN_FAIL="yes"
+ finmsg="" # for debugging 2.6 issues
+ 
+ echo "###### --uname-2.6 echo" >>$TS_OUTPUT
diff -pruN 2.35.2-5/debian/patches/root-not-required-to-be-mountpoint.patch 2.35.2-5ubuntu3/debian/patches/root-not-required-to-be-mountpoint.patch
--- 2.35.2-5/debian/patches/root-not-required-to-be-mountpoint.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.35.2-5ubuntu3/debian/patches/root-not-required-to-be-mountpoint.patch	2020-06-25 15:07:13.000000000 +0000
@@ -0,0 +1,38 @@
+Description: disable test that fails if / is not a mountpoint
+ Build environments don't necessarily have / as a mountpoint (if you're
+ running inside of a chroot for example).  Disable this test in the
+ testsuite.
+Author: Steve Langasek <steve.langasek@ubuntu.com>
+Last-Updated: 2020-05-20
+
+Index: util-linux-2.35.1/tests/ts/misc/mountpoint
+===================================================================
+--- util-linux-2.35.1.orig/tests/ts/misc/mountpoint
++++ util-linux-2.35.1/tests/ts/misc/mountpoint
+@@ -8,6 +8,9 @@
+ 
+ ts_check_test_command "$TS_CMD_MOUNTPOINT"
+ 
++# doesn't pass in a chroot build environment
++TS_KNOWN_FAIL="yes"
++
+ ln -s / ./symlink-to-root
+ 
+ ts_init_subtest "default"
+@@ -15,6 +18,8 @@
+ echo $? >> $TS_OUTPUT 2>> $TS_ERRLOG
+ ts_finalize_subtest
+ 
++TS_KNOWN_FAIL=""
++
+ ts_init_subtest "nofollow"
+ $TS_CMD_MOUNTPOINT --nofollow ./symlink-to-root >> $TS_OUTPUT 2>> $TS_ERRLOG
+ echo $? >> $TS_OUTPUT 2>> $TS_ERRLOG
+@@ -25,5 +30,7 @@
+ echo $? >> $TS_OUTPUT 2>> $TS_ERRLOG
+ ts_finalize_subtest
+ 
++TS_KNOWN_FAIL="yes"
++
+ rm -f ./symlink-to-root
+ ts_finalize
diff -pruN 2.35.2-5/debian/patches/series 2.35.2-5ubuntu3/debian/patches/series
--- 2.35.2-5/debian/patches/series	2020-06-25 12:06:52.000000000 +0000
+++ 2.35.2-5ubuntu3/debian/patches/series	2020-06-25 15:10:31.000000000 +0000
@@ -1,2 +1,6 @@
 0001-bash-completion-umount-shell-characters-escape.patch
+root-not-required-to-be-mountpoint.patch
 0001-hexdump-automatically-use-C-when-called-as-hd.patch
+sulogin-fallback-static-sh.patch                           
+sulogin-lockedpwd.patch
+mark-xfail-riscv64.patch
diff -pruN 2.35.2-5/debian/patches/sulogin-fallback-static-sh.patch 2.35.2-5ubuntu3/debian/patches/sulogin-fallback-static-sh.patch
--- 2.35.2-5/debian/patches/sulogin-fallback-static-sh.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.35.2-5ubuntu3/debian/patches/sulogin-fallback-static-sh.patch	2020-06-25 15:07:13.000000000 +0000
@@ -0,0 +1,18 @@
+Description: Add support for /bin/static-sh as fallback if the regular shell fails to execute
+Author: Michael Vogt <michael.vogt@ubuntu.com>
+Bug-Ubuntu: https://launchpad.net/bugs/505887
+
+--- a/login-utils/sulogin.c
++++ b/login-utils/sulogin.c
+@@ -795,6 +795,11 @@
+ 	xsetenv("SHELL", "/bin/sh", 1);
+ 	execl("/bin/sh", profile ? "-sh" : "sh", NULL);
+ 	warn(_("failed to execute %s"), "/bin/sh");
++
++	/* Fall back to static shell */
++	setenv("SHELL", "/bin/static-sh", 1);
++	execl("/bin/static-sh", profile ? "-sh" : "sh", NULL);
++	warn(_("failed to execute %s"), "/bin/static-sh");
+ }
+ 
+ static void usage(void)
diff -pruN 2.35.2-5/debian/patches/sulogin-lockedpwd.patch 2.35.2-5ubuntu3/debian/patches/sulogin-lockedpwd.patch
--- 2.35.2-5/debian/patches/sulogin-lockedpwd.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.35.2-5ubuntu3/debian/patches/sulogin-lockedpwd.patch	2020-06-25 15:07:13.000000000 +0000
@@ -0,0 +1,18 @@
+Description: Make sure file systems can be fixed on machines with locked root accounts (as Ubuntu does by default). Don't require --force for sulogin.
+Author: Martin Pitt <martin.pitt@ubuntu.com>
+Bug-Debian: https://bugs.debian.org/326678
+
+Index: util-linux-2.33.1-0.1ubuntu1/login-utils/sulogin.c
+===================================================================
+--- util-linux-2.33.1-0.1ubuntu1.orig/login-utils/sulogin.c
++++ util-linux-2.33.1-0.1ubuntu1/login-utils/sulogin.c
+@@ -983,7 +983,8 @@
+ 				const char *passwd = pwd->pw_passwd;
+ 				const char *answer;
+ 				int doshell = 0;
+-				int deny = !opt_e && locked_account_password(pwd->pw_passwd);
++				/* Ubuntu's root account is locked by default allow access without --force */
++				int deny = 0;
+ 
+ 				doprompt(passwd, con, deny);
+ 
diff -pruN 2.35.2-5/debian/rules 2.35.2-5ubuntu3/debian/rules
--- 2.35.2-5/debian/rules	2020-06-25 12:06:52.000000000 +0000
+++ 2.35.2-5ubuntu3/debian/rules	2020-06-29 13:23:10.000000000 +0000
@@ -8,10 +8,11 @@ CONFOPTS += --enable-raw
 CONFOPTS += --with-selinux
 CONFOPTS += --with-smack
 CONFOPTS += --enable-partx
+CONFOPTS += --with-audit
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-	CONFOPTS += --without-systemd --without-udev --without-audit --without-cryptsetup
+	CONFOPTS += --without-systemd --without-udev --without-audit
 else
-	CONFOPTS += --with-systemd --with-udev --with-audit --with-cryptsetup
+	CONFOPTS += --with-systemd --with-udev --with-audit
 endif
 endif
 
@@ -126,9 +127,9 @@ override_dh_installinit:
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 ifeq (,$(findstring s390,$(DEB_HOST_ARCH)))
 	# install /etc/init.d/hwclock.sh
-	dh_installinit --name=hwclock.sh --no-start
-	# install /etc/default/hwclock
-	dh_installinit --name=hwclock
+	# - update-rc.d manually handled in maintainers scripts as there
+	#   is special per-arch considerations.
+	dh_installinit --name=hwclock.sh --noscripts
 endif
 endif
 	# install uuidd sysvinit script
diff -pruN 2.35.2-5/debian/util-linux.hwclock.default 2.35.2-5ubuntu3/debian/util-linux.hwclock.default
--- 2.35.2-5/debian/util-linux.hwclock.default	2020-06-25 12:06:52.000000000 +0000
+++ 2.35.2-5ubuntu3/debian/util-linux.hwclock.default	1970-01-01 00:00:00.000000000 +0000
@@ -1,19 +0,0 @@
-# Defaults for the hwclock init script.  See hwclock(5) and hwclock(8).
-
-# This is used to specify that the hardware clock incapable of storing
-# years outside the range of 1994-1999.  Set to yes if the hardware is
-# broken or no if working correctly.
-#BADYEAR=no
-
-# Set this to yes if it is possible to access the hardware clock,
-# or no if it is not.
-#HWCLOCKACCESS=yes
-
-# Set this to any options you might need to give to hwclock, such
-# as machine hardware clock type for Alphas.
-#HWCLOCKPARS=
-
-# Set this to the hardware clock device you want to use, it should
-# probably match the CONFIG_RTC_HCTOSYS_DEVICE kernel config option.
-#HCTOSYS_DEVICE=rtc0
-
diff -pruN 2.35.2-5/debian/util-linux.install 2.35.2-5ubuntu3/debian/util-linux.install
--- 2.35.2-5/debian/util-linux.install	2020-06-25 12:06:52.000000000 +0000
+++ 2.35.2-5ubuntu3/debian/util-linux.install	2020-06-25 15:09:01.000000000 +0000
@@ -1,5 +1,4 @@
 #!/usr/bin/dh-exec --with=install
-debian/hwclock.rules => /usr/lib/udev/rules.d/85-hwclock.rules
 debian/hwclock-set => /usr/lib/udev/hwclock-set
 # Rename mkswap to mkswap.linux on non-linux.
 [linux-any] sbin/mkswap
diff -pruN 2.35.2-5/debian/util-linux.maintscript 2.35.2-5ubuntu3/debian/util-linux.maintscript
--- 2.35.2-5/debian/util-linux.maintscript	1970-01-01 00:00:00.000000000 +0000
+++ 2.35.2-5ubuntu3/debian/util-linux.maintscript	2020-06-25 15:07:13.000000000 +0000
@@ -0,0 +1 @@
+rm_conffile /etc/cron.weekly/fstrim 2.31.1-0.4ubuntu1~
